<?php

namespace USKit\Base\ViewModels;

use USKit\Base\Parts\ArticleBodyPresentation;
use Infomaker\Everyware\Support\Interfaces\PropertyObject;

/**
 * Class ArticlePage
 * @package USKit\Base
 */
class ArticlePage extends Page
{
    public function __construct(PropertyObject $article)
    {
        $articleBody = $article->getParsedBody();

        $article->fill([
            'body' => implode($articleBody->generateContent(new ArticleBodyPresentation($article))),
        ]);

        parent::__construct($article);
    }
}
